summaryrefslogtreecommitdiff
path: root/test/integration/test-ubuntu-bug346386
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/test-ubuntu-bug346386')
-rwxr-xr-xtest/integration/test-ubuntu-bug34638619
1 files changed, 19 insertions, 0 deletions
diff --git a/test/integration/test-ubuntu-bug346386 b/test/integration/test-ubuntu-bug346386
new file mode 100755
index 000000000..57004f343
--- /dev/null
+++ b/test/integration/test-ubuntu-bug346386
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture 'amd64'
+
+buildsimplenativepackage 'apt' 'all' '1.0' 'stable'
+
+setupaptarchive
+simulatebrokenwebserver
+
+rm -rf rootdir/var/lib/apt/lists
+aptget update
+testequal 'partial' "$(ls rootdir/var/lib/apt/lists/)"
+
+